Skip to Content
Controller tariff plans

Update Controller Tariff Plan

Toegang

Lid van de organisatie met dit recht:

  • controllers:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

PATCH
/orgs/{organizationId}/controller-tariff-plans/{id}

Updates a tariff plan. Controllers on the plan are asked to fetch the new price.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
name*string
Length1 <= length
startPrice*number
Multiple Of0.01
Range0 <= value <= 100
pricePerSecond*|null

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//controller-tariff-plans/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "startPrice": 0,  "pricePerSecond": 0}'
Example Response
null